Subject: Ticket Assigned - Bunch of bloody thieves, I have never dealt with this lot,. But somehow they got my credit card no a...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 06 Mar 2021 02:09:25 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Bunch of bloody thieves, I have never dealt with this lot,. But somehow they got my credit card no a... Bunch of bloody thieves, I have never dealt with this lot,. But somehow they got my credit card no and have been billing me for nothing, DO NOT have anything to do with them https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2195549